package sgc.portal.com.com.persistence;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.Program;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**********************************************************
 * 시스템명  	: 시스템관리(COM)
 * 프로그램ID 	: ComPrgMapper
 * 프로그램명   	: 프로그램 관리 Mapper
 * @author	: SBK
 * @version	: 2023-07-25
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/

@Mapper
public interface  ComPrgMapper {

    List<EasyHashMap<String, Object>> selectComPrgRegList(Program prg);

    void saveComPrgRegInsert(Program prg);

    void saveComPrgRegUpdate(Program prg);

    void saveComPrgRegDelete(Program prg);

    EasyHashMap<String, Object> selectPrgId(Program prg);
}

